import "./tools/Object.fromEntries";
import type { ReactNode } from "react";
import type { Cx } from "./types";
import type { CSSObject } from "@emotion/react";
import type * as emotionReact from "@emotion/react";
import type * as emotionSerialize from "@emotion/serialize";
import type * as emotionUtils from "@emotion/utils";
/**
 * https://github.com/garronej/tss-react
 * */
export declare function createMakeStyle<Theme>(params: {
    useTheme(): Theme;
    CacheProvider: typeof emotionReact.CacheProvider;
    serializeStyles: typeof emotionSerialize.serializeStyles;
    insertStyles: typeof emotionUtils.insertStyles;
    getRegisteredStyles: typeof emotionUtils.getRegisteredStyles;
    cache: emotionReact.EmotionCache;
}): {
    makeStyles: <Params = void>() => <Key extends string>(getCssObjects: Record<Key, CSSObject> | ((theme: Theme, params: Params) => Record<Key, CSSObject>)) => {
        useStyles: (params: Params) => {
            classes: Record<Key, string>;
            theme: Theme;
            css: {
                (template: TemplateStringsArray, ...args: emotionSerialize.CSSInterpolation[]): string;
                (...args: emotionSerialize.CSSInterpolation[]): string;
            };
            cx: Cx;
        };
    };
    useCssAndCx: () => {
        css: {
            (template: TemplateStringsArray, ...args: emotionSerialize.CSSInterpolation[]): string;
            (...args: emotionSerialize.CSSInterpolation[]): string;
        };
        cx: Cx;
    };
    TssProviderForSsr: (props: {
        children: ReactNode;
    }) => JSX.Element;
};
