/// <reference types="react" />
export type { ClassNamesContent, CxArg, Css, Cx, CSSObject } from "./types";
/** https://github.com/garronej/tss-react */
export declare function createMakeStyle<Theme>(params: {
    useTheme(): Theme;
}): {
    makeStyles: <Params = void>() => <Key extends string>(getCssObjects: Record<Key, import("@emotion/serialize").CSSObject> | ((theme: Theme, params: Params) => Record<Key, import("@emotion/serialize").CSSObject>)) => {
        useStyles: (params: Params) => {
            classes: Record<Key, string>;
            theme: Theme;
            css: {
                (template: TemplateStringsArray, ...args: import("@emotion/serialize").CSSInterpolation[]): string;
                (...args: import("@emotion/serialize").CSSInterpolation[]): string;
            };
            cx: import("./types").Cx;
        };
    };
    useCssAndCx: () => {
        css: {
            (template: TemplateStringsArray, ...args: import("@emotion/serialize").CSSInterpolation[]): string;
            (...args: import("@emotion/serialize").CSSInterpolation[]): string;
        };
        cx: import("./types").Cx;
    };
    TssProviderForSsr: (props: {
        children: import("react").ReactNode;
    }) => JSX.Element;
};
